Bug 462843 - NameError: global name 'hvs' is not defined
NameError: global name 'hvs' is not defined
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: booty (Show other bugs)
5.3
All Linux
medium Severity medium
: beta
: ---
Assigned To: Peter Jones
Release Test Team
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 06:23 EDT by Alexander Todorov
Modified: 2009-01-20 16:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:05:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from automated test showing python traceback (3.88 KB, text/plain)
2008-09-19 10:33 EDT, Brock Organ
no flags Details

  None (edit)
Description Alexander Todorov 2008-09-19 06:23:22 EDT
Description of problem:
Python name error

Version-Release number of selected component (if applicable):
booty-0.80.5-1.noarch.rpm
anaconda-11.1.2.126-1.ia64.rpm


How reproducible:
Not sure

Steps to Reproduce:
1. start http, @everything install
2.
3.
  
Actual results:
Python error

Expected results:
Installation completes

Additional info:
Seeing this on ia64. Will try other machines and arches.
Comment 2 RHEL Product and Program Management 2008-09-19 06:50:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Brock Organ 2008-09-19 10:33:04 EDT
Created attachment 317201 [details]
output from automated test showing python traceback

Traceback (most recent call first):
  File "/usr/lib/booty/bootloaderInfo.py", line 328, in getBootloaderConfig
    hvFile = "%sxen.gz-%s %s" % (self.kernelLocation,
  File "/usr/lib/booty/bootloaderInfo.py", line 572, in getBootloaderConfig
    defaultDev)
  File "/usr/lib/booty/bootloaderInfo.py", line 581, in writeLilo
    kernelList, chainList, defaultDev)
  File "/usr/lib/booty/bootloaderInfo.py", line 590, in write
    chainList, defaultDev, justConfig)
  File "/usr/lib/anaconda/bootloader.py", line 190, in writeBootloader
    justConfigFile, anaconda.intf)
  File "/usr/lib/anaconda/dispatch.py", line 201, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 124, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 715, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 1003, in ?
    anaconda.intf.run(anaconda)
NameError: global name 'hvs' is not defined
Comment 6 Peter Jones 2008-09-25 13:04:10 EDT
Fixed in booty-0.80.6-1 .
Comment 10 Brock Organ 2008-10-01 13:24:09 EDT
verified fixed with RHEL5.3-Server-20080930.0 for ia64 ...
Comment 12 errata-xmlrpc 2009-01-20 16:05:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0138.html

Note You need to log in before you can comment on or make changes to this bug.